/* ScreetContext.h -  */
/* Copyright 2002 Steve Folta */
/* See the "License" file */

#ifndef _ScreetContext_h_
#define _ScreetContext_h_

#include "ScreetString.h"


class ScreetContext {
public:
	ScreetContext(ScreetContext* parentContextIn = NULL);
	~ScreetContext();

	        void        	set(ScreetString name, ScreetString value);
	virtual ScreetString	valueFor(ScreetString name);

protected:
	struct Link {
		ScreetString	name;
		ScreetString	value;
		Link*       	next;

		Link(ScreetString nameIn, ScreetString valueIn)
			: name(nameIn), value(valueIn), next(NULL) {}
	};

	Link*         	first;
	ScreetContext*	parentContext;
};


#endif
