/* WooshContext.h - ScreetContext for Woosh, including objects in the directories */
/* Copyright 2002 Steve Folta */
/* See the "License" file */

#ifndef _WooshContext_h_
#define _WooshContext_h_

#include "ScreetContext.h"


class WooshContext : public ScreetContext {
public:
	WooshContext(ScreetContext* parentContextIn = NULL)
		: ScreetContext(parentContextIn) {}

	virtual ScreetString	valueFor(ScreetString name);

protected:
	bool	isAnObject(ScreetString path);
};


#endif
